Main Page Widgets Namespaces Book

# Glib::Value_Flags< T > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Value_Flags< T >:

[legend]
List of all members.

## Detailed Description

### template <class T>
class Glib::Value_Flags< T >

Base class of Glib::Value<T> specializations for flags types.

## Public Types

typedef T | CppType

## Public Member Functions

void | set (CppType data)
CppType | get () const

## Member Typedef Documentation

template <class T>
typedef T Glib::Value_Flags<T>::CppType

## Member Function Documentation

template <class T>
CppType Glib::Value_Flags<T>::get | ( |  | ) | const`[inline]`

template <class T>
void Glib::Value_Flags<T>::set | ( | CppType | data | ) | `[inline]`

The documentation for this class was generated from the following file:

- glib/glibmm/value.h